clear
clear matrix
capture log close
set more off
set mem 800m
set matsize 500


*** Set this global to the file path leading to the folder containing the analysis files
global root "C:\Users\Hanlon\Dropbox\UK_patents\replication_files"


******* Results global
global results "$root\figure_5\results"


******* Insheet data
use "$root\figure_5\analysis_data_main", clear


*** Combine indian-related patent categories
gen pat_india=0
replace pat_india=pat if subcat=="gins"
replace pat_india=pat if subcat=="carding_dirt"
replace pat_india=pat if subcat=="openers_cotton"
bysort year: egen xx=sum(pat_india)
replace pat=xx if subcat=="gins"
replace subcat="india_related" if subcat=="gins"
drop if subcat=="carding_dirt"
drop if subcat=="openers_cotton"
drop pat_india xx


**** Prepare data
encode subcat, gen(subcat_code)
xtset subcat_code year


**** Construct explanatory variables
forval i=1858/1876 {

gen indian_`i'=0
replace indian_`i'=1 if year==`i' & subcat=="india_related"
}

*** Construct dependent variable
gen log_pat=log(pat)



*********** Regressions ***************

xi  i.year i.subcat

newey log_pat indian* _Iyear* _Isubcat*, force lag(3)
est store TIMING

outreg2 [TIMING] using "$results\ols_agg_all", tex replace see label noaster drop(_I*)

bob;
