clear
clear matrix
capture log close
set more off
set seed 365476247 
postutil clear


*** Set this global to the file path leading to the folder containing the analysis files
global root "C:\Users\Hanlon\Dropbox\UK_patents\replication_files\table_I"


******* Results global
global results "$root\results"


******* Insheet data
use "$root\analysis_data_main", clear


***** Define shock period
gen period=0
replace period=1 if year>1860 & year<1866
replace period=2 if year>1865

***** Collapse annual data to pre-shock, shock, post-shock periods
collapse (mean) pat, by(subcat period)


**** Construct explanatory variables
gen shock=0
replace shock=1 if period==1
gen shock_all=0
replace shock_all=1 if shock==1 & subcat=="gins"
replace shock_all=1 if shock==1 & subcat=="carding_dirt"
replace shock_all=1 if shock==1 & subcat=="openers_cotton"

*** Construct dependent variable
gen log_pat=log(pat)

**** Prepare data
encode subcat, gen(subcat_code)
drop subcat
rename subcat_code subcat
xtset subcat period


**** Label variables
label variable shock_all "India-related x shock period"


************ Regressions ***************
xi i.period

xtreg log_pat shock_all _Iperiod*, fe vce(robust)
est store FE4

outreg2 [FE4] using "$results\ols_agg_all", tex replace see label noaster drop(_I*)


bob;
